## grendel.widgets
Interface SelectionListener

All Known Implementing Classes:
  TermPanel

public abstract interface SelectionListener
extends java.util.EventListener

Method Summary
`void` | `selectionChanged(SelectionEvent aEvent)`
`void` | `selectionContextClicked(java.awt.event.MouseEvent aEvent)`
`void` | `selectionDoubleClicked(java.awt.event.MouseEvent aEvent)`
`void` | `selectionDragged(java.awt.event.MouseEvent aEvent)`

Method Detail

### selectionChanged

    public void selectionChanged(SelectionEvent aEvent)

### selectionDoubleClicked

    public void selectionDoubleClicked(java.awt.event.MouseEvent aEvent)

### selectionContextClicked

    public void selectionContextClicked(java.awt.event.MouseEvent aEvent)

### selectionDragged

    public void selectionDragged(java.awt.event.MouseEvent aEvent)